﻿using System.Windows;
using System.Windows.Media;

namespace LEDControl
{
    static class VisualTreeHelperEx
    {
        public static T GetAncestor<T>(this DependencyObject obj) where T : DependencyObject
        {
            while (obj != null)
            {
                obj = VisualTreeHelper.GetParent(obj);
                if (obj is T)
                    return (T) obj;
            }

            return null;
        }
    }
}
